Skip to main content
GET
/
v1
/
treatment-groups
/
{id}
Get a treatment group
curl --request GET \
  --url https://dev.flextell.ai/api/v1/treatment-groups/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "total_price": "<string>",
    "effective_price": "<string>",
    "is_price_manual": true,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "treatments": [
      {
        "id": 123,
        "name": "<string>",
        "price": "<string>",
        "description": "<string>",
        "session": 123,
        "is_active": "<string>",
        "extra_info": {},
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z",
        "products": [
          {
            "id": 123,
            "name": "<string>",
            "full_name": "<string>",
            "barcode": "<string>",
            "description": "<string>",
            "box_quantity": "<string>",
            "unit_volume": "<string>",
            "critical_stock_level": 123,
            "invoice_name": "<string>",
            "price": 123,
            "tax_rate": 123,
            "is_active": "<string>",
            "brand": {
              "id": 123,
              "name": "<string>"
            },
            "product_type": {
              "id": 123,
              "name": "<string>",
              "category": "<string>"
            },
            "category": {
              "id": 123,
              "name": "<string>"
            },
            "unit_code": {
              "id": "<string>",
              "name": "<string>",
              "code": "<string>"
            }
          }
        ],
        "users": [
          {
            "id": 123,
            "name": "<string>"
          }
        ],
        "sessions": [
          {
            "id": 123,
            "session_order": 123,
            "session_type": "control",
            "next_gap_days": 123,
            "offset_days": 123
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The treatment group identifier

Response

success
string
required
data
TreatmentGroupResource · object
required